{% extends 'base.html.twig' %}

{% block title %}Foncedalle{% endblock %}

{% block body %}
    <div id="form">
        <form action="{{ path('security_login') }}" method="post" class="form-wrapper">
            <h1>Foncedalle</h1>
            <div class="field-wrapper">
                <label for="_username">Pseudo</label>
                <input placeholder="Pseudo.." required name="_username" type="text" pattern="[a-z0-9A-Zéèàê ]*" maxlength="20" minlength="3" title="Lettres et chiffres uniquement, minimum 3 maximum 20">
            </div>
            <div class="field-wrapper">
                <label for="_password">Mot de passe</label>
                <input placeholder="Mot de passe.." required name="_password" type="password" maxlength="20" minlength="6" title="Minimum 6 maximum 20">
                {% if error %}
                    <ul>
                        <li>{{ error.messageKey|trans(error.messageData, 'security') }}</li>
                    </ul>
                {% endif %}
            </div>
            <button type="submit" class="form-button">Connexion</button>
            <p>Inscrivez-vous <a href="{{ path('security_registration') }}">ici</a></p>
        </form>
    </div>
{% endblock %}
